$.runScript = {
    NewFile : function() {
        getAndProcessFile();
    }
}

function getAndProcessFile()
{
    var fileToOpen =getFileName('Please select an image or video file');

    if (fileToOpen != null)
    {
        processFile(fileToOpen);
    }
}

function processFile(fileToOpen)
{
    var mySequence = app.project.activeSequence;
    var trackTypeList = mySequence.videoTracks;
    var thisTrack = trackTypeList[0];

    var cursorTime = mySequence.getPlayerPosition();

    var myBin = findRootBin('Test');

    var importAry = [];
    importAry.push(fileToOpen.fsName);
    app.project.importFiles(importAry, 1, myBin, 0);

    var clip = findClipInBin(myBin, fileToOpen);

    if (clip != null)
    {
        thisTrack.overwriteClip(clip, cursorTime);
    }
}

function getFileName(title)
{
    var fileToOpen = File.openDialog(title);

    if (fileToOpen == null)
    {
        alert('No file was selected');
        return null;
    }
    else
    {
        return fileToOpen;
    }
}

function findRootBin(binName)
{
    var myBin = null;
    for (var i=0; i<app.project.rootItem.children.numItems; i++)
    {
        var rItem = app.project.rootItem.children[i];
        if ((rItem.type === ProjectItemType.BIN) && (rItem.name == binName))
        {
            myBin = rItem;
        }
    }

    if (myBin == null)
    {
        myBin = app.project.rootItem.createBin(binName);
    }

    return myBin;
}

function findClipInBin(myBin, fileToOpen)
{
    var clip = null;
    for (var i=0; i<myBin.children.numItems; i++)
    {
        if (myBin.children[i].name == fileToOpen.displayName)
        {
            clip = myBin.children[i];
        }
    }
    return clip;
}